<?php

class Dark_vB4Redir_EventListener_LoadClassRoutePrefix
{
    public static function listen($class, array &$extend)
    {
        if ($class == 'XenForo_Route_Prefix_Threads')
        {
            $extend[] = 'Dark_vB4Redir_Route_Prefix_Threads';
        } else if ($class == 'XenForo_Route_Prefix_Forums')
        {
            $extend[] = 'Dark_vB4Redir_Route_Prefix_Forums';
        }
    }
}